OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.IndexMaterial

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTIndexMaterial :: MonadIO m => m Bool
- gl_EXT_index_material :: Bool
- gl_INDEX_MATERIAL_EXT :: GLenum
- gl_INDEX_MATERIAL_FACE_EXT :: GLenum
- gl_INDEX_MATERIAL_PARAMETER_EXT :: GLenum
- glIndexMaterialEXT :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetEXTIndexMaterial :: MonadIO m => m Bool

Is the EXT_index_material extension supported?

gl_EXT_index_material :: Bool

Is the EXT_index_material extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTIndexMaterial` in those cases instead.

# Enums

gl_INDEX_MATERIAL_EXT :: GLenum

gl_INDEX_MATERIAL_FACE_EXT :: GLenum

gl_INDEX_MATERIAL_PARAMETER_EXT :: GLenum

# Functions

glIndexMaterialEXT

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type `IndexMaterialParameterEXT`.
-> m () |